Partners
API referenceEndpointsRedemption

Trade the signature for a session token

POST
/auth/verify

Request Body

application/json
  1. body
wallet*string
message*string

Exactly as returned by /auth/nonce.

signature*string

Base58 signature from the wallet.

Response Body

A bearer token valid for one hour. There is no refresh token.

application/json
  1. response
success?boolean
data?
Example Request
curl -X POST 'https://api-staging.theverity.xyz/api/v1/redeem/auth/verify' \  -H 'Content-Type: application/json' \  -d '{  "wallet": "string",  "message": "string",  "signature": "string"}'
Example Response
{  "success": true,  "data": {    "accessToken": "string",    "expiresIn": 0,    "wallet": "string"  }}